\def\prevpath{turtle/kanagawa/1_B5_L2}
\def\postpath{/True/5/9.9000e-01/9.9900e-01/1.0000e-07/False/1.0000e+03/1.0000e-02/1000/turtle_kanagawa.png}

\begin{table}
    \begin{tabular}{c|@{}c@{}|@{}c@{}|@{}c@{}|}
        & 1 style layer & 2 style layers & 3 style layers \\
        \hline
        \begin{tabular}{c} Deep \\ style \\ layers \\ (Blocks 3, 4 \& 5)\end{tabular}& 
        \tabulargraphics{\prevpath/1_B5_L1\postpath} &
        \tabulargraphics{\prevpath/2_B45_L11\postpath} &
        \tabulargraphics{\prevpath/3_B345_L111\postpath} \\
        \hline
        \begin{tabular}{c} Shallow \\ style \\ layers \\ (Blocks 1 \& 2) \end{tabular}& 
        \tabulargraphics{\prevpath/1_B1_L1\postpath} &
        \tabulargraphics{\prevpath/2_B12_L11\postpath} &
        \tabulargraphics{\prevpath/3_B122_L112\postpath} \\
        \hline
    \end{tabular}\
    \caption{Style layers number comparison with the default content layer (That can be considered a deep content layer)}
    \label{table:amount-of-style-layers}
\end{table}